/* Error codes */


#ifndef _ERRNO_H
#define _ERRNO_H

/* 256-512 are user error codes */
#define FS_ERROR_BASE	-256		    /* Base for FS error codes */
#define FS_ENOENT        (FS_ERROR_BASE-1)  /* no such file or directory */
#define FS_EIO           (FS_ERROR_BASE-2)  /* input/output error */
#define FS_EBADF         (FS_ERROR_BASE-3)  /* bad file descriptor */
#define FS_ENOTDIR       (FS_ERROR_BASE-4)  /* not a directory */
#define FS_EINVAL        (FS_ERROR_BASE-5)  /* invalid argument */
#define FS_ENFILE        (FS_ERROR_BASE-6)  /* too many open files in system */
#define FS_EMFILE        (FS_ERROR_BASE-7)  /* too many open files */
#define FS_EFBIG         (FS_ERROR_BASE-8)  /* file too large */
#define FS_ENAMETOOLONG  (FS_ERROR_BASE-9)  /* file name too long */
#define FS_ENOTEMPTY     (FS_ERROR_BASE-10)  /* directory not empty */
#define FS_EBADCALL	 (FS_ERROR_BASE-11)  /* out of range of filesystem's call */
#define FS_EGENERIC	 (FS_ERROR_BASE-12)  /* other error */
#define FS_ECONNECT	 (FS_ERROR_BASE-13)  /* new consument initiating connection error */
#define FS_ENOTCONNECT	 (FS_ERROR_BASE-14)  /* disconnected consument tried to call some function */

#endif /* _ERRNO_H */
